Subject: bug#21574: po-mode mishandles ASCII files

From: Paul Eggert <[email-masked]>
Date: Sun, 27 Sep 2015 13:01:22 -0700

Emacs's po-mode mishandles .po files that specify charset=us-ascii.  To 
reproduce the problem on Fedora, run 'LC_ALL=cs_CZ.iso88592 emacs -Q fr.po' with 
fr.po being the attached file (taken from Texinfo 6.0), and type '# C-x 8 RET 
161 RET RET C-x C-s'.  The file will be saved with the line '#š' prepended, in 
Latin-2 encoding, even though the file declares its encoding to be 
charset=us-ascii.  If I visit the modified file again with 
'LC_ALL=fr_FR.iso88591 emacs -Q fr.po' I will see a first line of '#¹'.  This 
example is merely of a bad comment, but I suppose this could lead to a bad 
translation.

It's only a minor problem, as .po files should be using UTF-8 nowadays instead 
of US-ASCII.  I'm reporting it only because I suppose the bug could be more 
general than just po-mode.